# Class VulkanClearValueColorFloatingPoint.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanClearValueColorFloatingPoint.Builder

Enclosing class:
  `VulkanClearValueColorFloatingPoint`

public static final class VulkanClearValueColorFloatingPoint.Builder extends Object
Builds instances of type `VulkanClearValueColorFloatingPoint`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanClearValueColorFloatingPoint`
  `build()`
  Builds a new `VulkanClearValueColorFloatingPoint`.
  `final VulkanClearValueColorFloatingPoint.Builder`
  `from(VulkanClearValueType.VulkanClearValueColorFloatingPointType instance)`
  Fill a builder with attribute values from the provided `VulkanClearValueColorFloatingPointType` instance.
  `final VulkanClearValueColorFloatingPoint.Builder`
  `setAlpha(float alpha)`
  Initializes the value for the `alpha` attribute.
  `final VulkanClearValueColorFloatingPoint.Builder`
  `setBlue(float blue)`
  Initializes the value for the `blue` attribute.
  `final VulkanClearValueColorFloatingPoint.Builder`
  `setGreen(float green)`
  Initializes the value for the `green` attribute.
  `final VulkanClearValueColorFloatingPoint.Builder`
  `setRed(float red)`
  Initializes the value for the `red` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanClearValueColorFloatingPoint.Builder from(VulkanClearValueType.VulkanClearValueColorFloatingPointType instance)
    Fill a builder with attribute values from the provided `VulkanClearValueColorFloatingPointType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setRed

    public final VulkanClearValueColorFloatingPoint.Builder setRed(float red)
    Initializes the value for the `red` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `red`.

    Parameters:
      `red` - The value for red
    Returns:
      `this` builder for use in a chained invocation

  - ### setGreen

    public final VulkanClearValueColorFloatingPoint.Builder setGreen(float green)
    Initializes the value for the `green` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `green`.

    Parameters:
      `green` - The value for green
    Returns:
      `this` builder for use in a chained invocation

  - ### setBlue

    public final VulkanClearValueColorFloatingPoint.Builder setBlue(float blue)
    Initializes the value for the `blue` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `blue`.

    Parameters:
      `blue` - The value for blue
    Returns:
      `this` builder for use in a chained invocation

  - ### setAlpha

    public final VulkanClearValueColorFloatingPoint.Builder setAlpha(float alpha)
    Initializes the value for the `alpha` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `alpha`.

    Parameters:
      `alpha` - The value for alpha
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanClearValueColorFloatingPoint build()
    Builds a new `VulkanClearValueColorFloatingPoint`.
    Returns:
      An immutable instance of VulkanClearValueColorFloatingPoint
    Throws:
      `IllegalStateException` - if any required attributes are missing